=== debian/changelog ===
pure-audio (0.5-2) natty; urgency=low

  * Prevent zipping of examples

 -- Albert Graef <Dr.Graef@t-online.de>  Sat, 26 May 2012 23:32:24 +0200

pure-audio (0.5-1) natty; urgency=low

  * Initial release

 -- Albert Graef <Dr.Graef@t-online.de>  Thu, 24 May 2012 08:15:07 +0200
