=== debian/control ===
Source: pure-audio
Section: devel
Priority: extra
Maintainer: Albert Graef <aggraef@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), pure, pure-dev, pure-gen,
 portaudio19-dev, libsndfile1-dev, libsamplerate0-dev, libfftw3-dev
Standards-Version: 3.9.1
Homepage: http://purelang.bitbucket.org

Package: pure-audio
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Portable audio interface for the Pure programming language
 Pure is a modern-style functional programming language based on term
 rewriting. This package provides various modules for processing audio data in
 Pure. It currently includes the following modules:
 .
 * audio.pure: A PortAudio wrapper which gives you portable access to realtime
   audio input and output on a variety of different host APIs. This uses the
   well-known PortAudio library by Ross Bencina, Phil Burk et al, see
   http://www.portaudio.com/.
 .
 * fftw.pure: Compute real-valued FFTs of audio signals using Matteo Frigo's
   and Steven G. Johnson's portable and fast FFTW library ("Fastest Fourier
   Transform in the West").
 .
 * sndfile.pure: Reading and writing audio files in various formats. This is a
   fairly straightforward wrapper for Erik de Castro Lopo's libsndfile library,
   see http://www.mega-nerd.com/libsndfile/.
 .
 * samplerate.pure: Perform sample rate conversion on audio data. This uses
   another of Erik's excellent libraries, libsamplerate (a.k.a. SRC), see
   http://www.mega-nerd.com/SRC/.
 .
 * realtime.pure: A little utility module which provides access to realtime
   scheduling to Pure programs. You may need this for low-latency realtime
   audio applications.
